Bug 53131

Summary: Calling MakeArray() on a type with a rank that is too big does not throw an exception.
Product: [Mono] Runtime Reporter: Brian Raderman <brianra>
Component: GeneralAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: brianra, mono-bugs+mono, mono-bugs+runtime, vargaz
Priority: ---    
Version: 4.8.0 (C9)   
Target Milestone: ---   
Hardware: All   
OS: All   
Tags: Is this bug a regression?: ---
Last known good build:
Attachments: Sample code that throws an exception in Microsoft .NET but not in Mono

Description Brian Raderman 2017-03-07 21:12:38 UTC
Created attachment 20191 [details]
Sample code that throws an exception in Microsoft .NET but not in Mono

Microsoft .NET will throw a TypeLoadException in this case (example attached), but Mono does not.
Comment 1 Zoltan Varga 2017-03-12 21:56:38 UTC
https://github.com/mono/mono/pull/4514
Comment 2 Zoltan Varga 2017-03-13 20:12:33 UTC
Fixed.